Query Sales Order Custom Fields
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/custom-fields"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"attribut": {
"id": 123,
"istMehrsprachig": 123,
"istFreifeld": 123,
"sortierung": 123,
"beschreibung": "<string>",
"bezugstyp": 123,
"ausgabeweg": 123,
"istStandard": 123,
"feldTypId": 123,
"regEx": "<string>",
"gruppeName": "<string>",
"readOnly": 123,
"aktivFuerArtikelOhneWarengruppe": true,
"istPflichtfeld": true,
"attributId": "<string>",
"istUnsichtbar": true,
"skipHooks": true,
"feldTyp": {
"id": 123,
"name": "<string>",
"datenTyp": 123,
"regEx": "<string>",
"skipHooks": true
},
"bezeichnungen": [
{
"attributId": 123,
"spracheId": 123,
"name": "<string>",
"wertListe": "<string>",
"skipHooks": true
}
]
},
"customFieldId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"groupName": "<string>",
"name": "<string>",
"possibleValues": [
"<string>"
]
}
]{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Order
Query Sales Order Custom Fields
Queries all custom fields for a sales order.
GET
/
v2
/
sales-orders
/
custom-fields
Query Sales Order Custom Fields
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
The requested custom fields for sales orders.
Attribute dienen zur flexibleren Verteilung von Eigenschaften zu bestimmten Objekten
Show child attributes
Show child attributes
Unique ID to identify a custom field.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The group name for this custom field.
The custom field name.
The custom field type.
Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 The possible values, when the custom field is a list.
Was this page helpful?
⌘I